<div
  class="container"
  *ngrxLet="auth$; let a; let e = $error; let c = $complete"
>
  <div class="button" *ngIf="a.isLoggedIn">
    <button mat-raised-button color="accent" routerLink="/ajouterFilm">
      Ajouter un film
    </button>
  </div>

  <form class="form-liste">
    <mat-form-field appearance="fill">
      <mat-label>Choisir une categorie</mat-label>
      <mat-select
        #categoriesSelect
        [(ngModel)]="categorie"
        name="categorie"
        required
      >
        <mat-option *ngFor="let c of categories" [value]="c">
          {{ c.nom }}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>

  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table
    mat-table
    [dataSource]="listefilm"
    #table
    class="mat-elevation-z8"
    matSort
    matSortActive="id"
    matSortDisableClear
    matSortDirection="asc"
  >
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
      <td mat-cell *matCellDef="let film">{{ film.id }}</td>
    </ng-container>

    <ng-container matColumnDef="titre">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Titre</th>
      <td mat-cell *matCellDef="let film">{{ film.titre }}</td>
    </ng-container>

    <ng-container matColumnDef="duree">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Duree</th>
      <td mat-cell *matCellDef="let film">{{ film.duree }}</td>
    </ng-container>

    <ng-container matColumnDef="resume">
      <th mat-header-cell *matHeaderCellDef>Resume</th>
      <td mat-cell *matCellDef="let film">{{ film.resume }}</td>
    </ng-container>

    <ng-container matColumnDef="version">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Version</th>
      <td mat-cell *matCellDef="let film">{{ film?.version }}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef class="align-right">Actions</th>
      <td mat-cell *matCellDef="let film" class="align-right">
        <button
          *ngIf="a.isLoggedIn && a.user && a.user.id == film.owner.id"
          mat-raised-button
          color="accent"
          routerLink="/ajouterFilm/{{ film.id }}"
        >
          Modifier
        </button>
        <button
          *ngIf="a.isLoggedIn && a.user && a.user.id == film.owner.id"
          mat-raised-button
          color="warn"
          (click)="remove(film.id)"
        >
          Supprimer
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>
  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>

  <mat-paginator
    [length]="resultsLength"
    [pageSize]="30"
    [pageSizeOptions]="[5, 10, 30, 50]"
    itemsPerPageLabel="Film(s) par page"
    aria-label="Les films"
  ></mat-paginator>

  <div class="button" *ngIf="a.isLoggedIn">
    <button mat-raised-button color="accent" routerLink="/ajouterFilm">
      Ajouter un film
    </button>
  </div>
</div>
